/*
 * Copyright (c) 2003, 2004 Henri Sivonen
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 * DEALINGS IN THE SOFTWARE.
 */

package fi.iki.hsivonen.template;

/**
 * This exception indicates that there's something wrong with the template 
 * or the input documents provided to the <code>TemplateEngine</code>.
 *
 * @version $Id: TemplateException.java,v 1.7 2004/08/28 16:20:07 hsivonen Exp $
 * @author  hsivonen
 */
public class TemplateException extends Exception {

    /**
     * Creates a new instance of <code>TemplateException</code> 
     * without detail message.
     */
    public TemplateException() {
    }

    /**
     * Constructs an instance of <code>TemplateException</code> with 
     * the specified detail message.
     * @param msg the detail message
     */
    public TemplateException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>TemplateException</code> with 
     * the specified root cause.
     * @param cause the root cause
     */
    public TemplateException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs an instance of <code>TemplateException</code> with 
     * the specified detail message and root cause.
     * @param msg the detail message
     * @param cause the root cause
     */
    public TemplateException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
